#!/usr/local/bin/perl

$file1 = $ARGV[0];
$file2 = $ARGV[1];

open(FILE1, $file1) || die ("Could not open file...");
open(FILE2, $file2) || die ("Could not open file...");

@splitArray = ();
%file1Hash;
%file2Hash;
$count = 0;
$temp = 0;

# Set up first Hash Table
while(<FILE1>)
{
    chomp;
    $_ = lc($_);
    $_ =~ s/\./ \. /g;
    $_ =~ s/\?/ \? /g;
    $_ =~ s/\!/ \! /g;
    $_ =~ s/\"//g;
    $_ =~ s/\,/ \, /g;
    $_ =~ s/\;/ \; /g;
    $_ =~ s/\*/ \* /g;
    $_ =~ s/\:/ \: /g;
    $_ =~ s/\-/ \- /g;

    @splitArray = split(/\s+/,$_);

    foreach $word (@splitArray)
    {
	$file1Hash{$word}++;
    }
}

@splitArray = ();

# Set up second Hash Table
while(<FILE2>)
{
    chomp;
    $_ = lc($_);
    $_ =~ s/\./ \. /g;
    $_ =~ s/\?/ \? /g;
    $_ =~ s/\!/ \! /g;
    $_ =~ s/\"/ /g;
    $_ =~ s/\,/ \, /g;
    $_ =~ s/\;/ \; /g;
    $_ =~ s/\*/ \* /g;
    $_ =~ s/\:/ \: /g;
    $_ =~ s/\-/ \- /g;

    @splitArray = split(/\s+/,$_);

    foreach $word (@splitArray)
    {
	$file2Hash{$word}++;
    }
}

$score = 0;

# Calculation
foreach $word (keys %file1Hash)
{
    if(defined $file2Hash{$word})
    {
	$score++;
    }
}
    
print $score,"\n";

