#!/usr/local/bin/perl

$string = $ARGV[0];

@splitArray = ();
%wordHash;
$count = 0;


@splitArray = split(/\s+/,$string);

foreach $word (@splitArray)
{
    $wordHash{$word}++;
    $count++;
}

foreach $word (keys %wordHash)
{
    $wordHash{$word} = $wordHash{$word} / $count;
}

$totalProb = 0;

foreach $word (keys %wordHash)
{
    $totalProb = $totalProb + $wordHash{$word};
}

# print "Total probability:  ",$totalProb,"\n";
# print "Count:  ",$count,"\n";


# Entropy calculations
# log(.5) / log(2) calculates the log base 2 of .5

$totalEntropy = 0;

foreach $word (keys %wordHash)
{
    $totalEntropy = $totalEntropy + 
	$wordHash{$word} * (log(1/($wordHash{$word})) / log(2));
}

print $totalEntropy,"\n";
